Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# SceneGraphUIBase Class Reference

Inheritance diagram for SceneGraphUIBase:

List of all members.

## Public Member Functions
def | __init__
def | add
def | addPandaObjectChildren
def | changeHierarchy
def | changeLabel
def | delete
def | deSelect
def | isChildOrGrandChild
def | onBeginDrag
def | onCollapseAllChildren
def | onDelete
def | onExpandAllChildren
def | onRename
def | onSelected
def | onShowPopup
def | parent
def | populateExtraMenu
def | populateMenu
def | removePandaObjectChildren
def | reParent
def | reParentData
def | reParentTree
def | reset
def | select
def | showPandaObjectChildren
def | traverse
def | traversePandaObjects
## Public Attributes
| currItem
| currObj
| editor
| menu
| root
| shouldShowPandaObjChildren
| tree

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent,
|  |  | editor
| ) |  |

Reimplemented in SceneGraphUI.

## Member Function Documentation

def add | ( |  | self,
|  |  | item,
|  |  | parentNP = `None`
| ) |  |

def addPandaObjectChildren | ( |  | self,
|  |  | parent
| ) |  |

def changeHierarchy | ( |  | self,
|  |  | data,
|  |  | x,
|  |  | y
| ) |  |

def changeLabel | ( |  | self,
|  |  | itemId,
|  |  | newName
| ) |  |

def delete | ( |  | self,
|  |  | itemId
| ) |  |

def deSelect | ( |  | self,
|  |  | itemId
| ) |  |

def isChildOrGrandChild | ( |  | self,
|  |  | parent,
|  |  | child
| ) |  |

def onBeginDrag | ( |  | self,
|  |  | event
| ) |  |

def onCollapseAllChildren | ( |  | self,
|  |  | evt = `None`
| ) |  |

def onDelete | ( |  | self,
|  |  | evt = `None`
| ) |  |

def onExpandAllChildren | ( |  | self,
|  |  | evt = `None`
| ) |  |

def onRename | ( |  | self,
|  |  | evt = `None`
| ) |  |

def onSelected | ( |  | self,
|  |  | event
| ) |  |

def onShowPopup | ( |  | self,
|  |  | event
| ) |  |

def parent | ( |  | self,
|  |  | oldParentId,
|  |  | newParentId,
|  |  | childName
| ) |  |

def populateExtraMenu | ( |  | self | ) |

Reimplemented in SceneGraphUI.

def populateMenu | ( |  | self | ) |

def removePandaObjectChildren | ( |  | self,
|  |  | parent
| ) |  |

def reParent | ( |  | self,
|  |  | oldParent,
|  |  | newParent,
|  |  | child
| ) |  |

def reParentData | ( |  | self,
|  |  | parent,
|  |  | child
| ) |  |

def reParentTree | ( |  | self,
|  |  | parent,
|  |  | newParent
| ) |  |

def reset | ( |  | self | ) |

def select | ( |  | self,
|  |  | itemId
| ) |  |

def showPandaObjectChildren | ( |  | self | ) |

def traverse | ( |  | self,
|  |  | parent,
|  |  | itemId
| ) |  |

def traversePandaObjects | ( |  | self,
|  |  | parent,
|  |  | objNodePath
| ) |  |

## Member Data Documentation

currItem

currObj

editor

menu

root

shouldShowPandaObjChildren

tree

All Classes Namespaces Functions Variables Enumerations Enumerator Properties